What works:
- Supports 8bpp, 16bpp and 24bpp. Heavy testing on SM720.

XCONFIG options:

The driver supports quite a few different XConfig options, which can
be used to tune the driver and improve performance. Without any options,
the driver will use conservative settings which should work on most
hardware. Large improvements in performance are possible by selecting
the proper options, which will probably work on most systems.

Cursor:

- "hwcursor" "off" behaves exactly like "swcursor".  Default: "on"
- "swcursor" will disable the HW Cursor.  HW Cursor is used by default and
	no option is needed to enable it.

Display:

- "ShadowFB"  Use shadow framebuffer.  Default: off.
- "Rotate" "cw" | "ccw"  Rotate the screen CW - clockwise or CCW - counter
    clockwise.  Uses ShadowFB.  Default: no rotation.
- "UseBIOS"  Use BIOS to set modes.  Default: on.
- "ZoomOnLCD"  Allow changing resolution on panel.  Default: off.

Overlays:

- "VideoKey"  Set chroma key for video.  Default:  Off blue.
- "ByteSwap"  Turn on YUV byte swapping.  Defaul: off.

Video memory:

- "set_mclk" sets the memory clock, format is:
	Option "set_mclk" "50000"
	in the XF86Config file.  Valid values are any
	integer <= 100000, where 100000 == 100 MHz.

Acceleration and graphic engine:

- "NoAccel" turns off all acceleration
- "fifo_aggressive", "fifo_moderate" and "fifo_conservative" alter the settings
	for the threshold at which the pixel FIFO takes over the internal
	memory bus to refill itself. The smaller this threshold, the better
	the acceleration performance of the card. You may try the fastest
	setting ("aggressive") and move down if you encounter pixel corruption.
	The optimal setting will probably depend on dot-clock and on color
	depth. Note that specifying any of these options will also alter other
	memory settings which should increase performance, so you should at
        least use "fifo_conservative" (this uses the chip defaults).
- Common XAA acceleration options to disable primitives for test purposes:
	"XaaNoScreenToScreenCopy"
	"XaaNoSolidFillRect"
	"XaaNoColor8x8PatternFillRect"
	"XaaNoImageWriteRect"
	"XaaNoPixmapCache"

PCI bus:

- "pci_burst" will enable PCI burst mode. This should work on all but a
	few "broken" PCI chipsets, and will increase performance.  Option may
	take a parameter "on", "off", "yes", etc...
- "pci_retry" will allow the driver to rely on PCI Retry to program the
	ViRGE registers. "pci_burst" must be enabled for this to work.
	This will increase performance, especially for small fills/blits,
        because the driver does not have to poll the ViRGE before sending it
        commands to make sure it is ready. It should work on most
        recent PCI chipsets.

Debug:

- "ShowCache"  Enable or disable viewing offscreen cache memory.  A
    development debug option.  Default: off.

Header:   //Mercury/Projects/archives/XFree86/4.0/README.-arc   1.2   14 Sep 2000 12:28:36   Frido  $

$XFree86: xc/programs/Xserver/hw/xfree86/drivers/siliconmotion/README,v 1.2 2000/12/05 21:18:37 dawes Exp $
